# Uses of Interface
org.eclipse.zest.core.widgets.IContainer

Packages that use IContainer
Package
Description
org.eclipse.zest.core.viewers
org.eclipse.zest.core.widgets

## Uses of IContainer in org.eclipse.zest.core.viewers

Methods in org.eclipse.zest.core.viewers with parameters of type IContainer
Modifier and Type
Method
Description
`GraphNode`
AbstractStructuredGraphViewer.`addGraphModelNode(IContainer container, Object element)`

## Uses of IContainer in org.eclipse.zest.core.widgets

Subinterfaces of IContainer in org.eclipse.zest.core.widgets
Modifier and Type
Interface
Description
`interface`
`IContainer2`
Extend the IConnectionStyleProvider interface to provide additional methods introduced by Zest 2.x.
Classes in org.eclipse.zest.core.widgets that implement IContainer
Modifier and Type
Class
Description
`class`
`Graph`
Holds the nodes and connections for the graph.
`class`
`GraphContainer`
A Container than can be added to a Graph.
Fields in org.eclipse.zest.core.widgets declared as IContainer
Modifier and Type
Field
Description
`protected IContainer`
GraphNode.`parent`
Methods in org.eclipse.zest.core.widgets with parameters of type IContainer
Modifier and Type
Method
Description
`protected void`
GraphNode.`initModel(IContainer parent, String text, Image image)`
Constructors in org.eclipse.zest.core.widgets with parameters of type IContainer
Modifier
Constructor
Description
``
`CGraphNode(IContainer graphModel, int style, org.eclipse.draw2d.IFigure figure)`
``
`GraphContainer(IContainer graph, int style)`
Creates a new GraphContainer.
``
`GraphContainer(IContainer graph, int style, String text)`
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, use `GraphContainer(Graph, int)`, `GraphNode.setText(String)`
``
`GraphContainer(IContainer graph, int style, String text, Image image)`
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, use `GraphContainer(Graph, int)`, `GraphNode.setText(String)`, and `GraphNode.setImage(Image)`
``
`GraphNode(IContainer graphModel, int style)`
``
`GraphNode(IContainer graphModel, int style, Object data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, use `GraphNode(IContainer, int, IFigure)` instead.
``
`GraphNode(IContainer graphModel, int style, String text)`
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, use `GraphNode(IContainer, int)` and `GraphNode.setText(String)`
``
`GraphNode(IContainer graphModel, int style, String text, Object data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, use `GraphNode(IContainer, int, IFigure)` and `GraphNode.setText(String)`
``
`GraphNode(IContainer graphModel, int style, String text, Image image)`
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, use `GraphNode(IContainer, int)`, `GraphNode.setText(String)`, and `GraphNode.setImage(Image)`
``
`GraphNode(IContainer graphModel, int style, String text, Image image, Object data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, use `GraphNode(IContainer, int, IFigure)`, `GraphNode.setText(String)` and `GraphNode.setImage(Image)`.
``
`GraphNode(IContainer graphModel, int style, org.eclipse.draw2d.IFigure data)`